#ifndef SERIALIZE_H
#define SERIALIZE_H

void save_quality(const Quality &q, const char * filename);
void restore_quality(Quality &q, const char * filename);
int quality_check(Quality &q1, Quality &q2);

void save_topology(const Topology &t, const char * filename);
void restore_topology(Topology &t, const char * filename);
int topology_check(Topology &t1, Topology &t2);

void serialization_unit_testing(AGGenInstance &instance, boost::mpi::communicator &world);

#endif //SERIALIZE_H

